<!DOCTYPE html>
<html>
    <head>
        <style> 
            div {
                width: 100px;
                height: 100px;
                background: red;
                -webkit-transition: width 2s; /* Safari */
                transition: width 2s;
            }

            /* For Safari 3.1 to 6.0 */
            #div1 {-webkit-transition-timing-function: linear;}
            #div2 {-webkit-transition-timing-function: ease;}
            #div3 {-webkit-transition-timing-function: ease-in;}
            #div4 {-webkit-transition-timing-function: ease-out;}
            #div5 {-webkit-transition-timing-function: ease-in-out;}

            /* Standard syntax */
            #div1 {transition-timing-function: linear;}
            #div2 {transition-timing-function: ease;}
            #div3 {transition-timing-function: ease-in;}
            #div4 {transition-timing-function: ease-out;}
            #div5 {transition-timing-function: ease-in-out;}

            div:hover {
                width: 300px;
            }
        </style>
    </head>
    <body>


        <div id="div1">linear</div><br>
        <div id="div2">ease</div><br>
        <div id="div3">ease-in</div><br>
        <div id="div4">ease-out</div><br>
        <div id="div5">ease-in-out</div><br>

        <p>Hover over the div elements above, to see the different speed curves.</p>

    </body>
</html>
